=== debian/changelog ===
quick-widgets (0.1.0) unstable; urgency=low
 
  * Initial public release.

 -- Malte Marquarding <mar637@loki>  Tue, 16 Nov 2010 11:23:38 +1100
