=== debian/control ===
Source: quick-widgets
Section: user/desktop
Priority: extra
Maintainer: Malte Marquarding <malte@marquarding.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libhildon-extras1-dev (>=0.9.5), q-extras-dev (>=1.0.5)
Standards-Version: 3.7.3
Homepage: http://quick-widgets.garage.maemo.org/

Package: quick-widgets
Architecture: any
Depends: ${shlibs:Depends}, libhildon-extras1, q-extras (>=1.0.5)
XB-Maemo-Display-Name: Quick Widgets
Description: This application simplifies running Qt Quick applications as
 home desktop widgets. It only needs the file. Thanks to Timur Kristf (Venemo)
 for doing all the had work in q-extras.
 This application is licensed under LGPL.
