## quick-widgets 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/quick-widgets
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Nov 18 10:00:20 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Nov 22 15:19:05 2010
 # Project:  quick-widgets.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile quick-widgets.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DAPP_VERSION=\"0.1.0\" -DAPP_BETA -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DAPP_VERSION=\"0.2.0\" -DAPP_BETA -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -Ibuild -Ibuild
@@ -46,16 +46,20 @@
 SOURCES       = main.cpp \
 		quickwidget.cpp \
 		quickwidgetsettings.cpp \
-		appeventlistener.cpp build/moc_quickwidget.cpp \
+		appeventlistener.cpp \
+		ProcessObject.cpp build/moc_quickwidget.cpp \
 		build/moc_quickwidgetsettings.cpp \
-		build/moc_appeventlistener.cpp
+		build/moc_appeventlistener.cpp \
+		build/moc_ProcessObject.cpp
 OBJECTS       = build/main.o \
 		build/quickwidget.o \
 		build/quickwidgetsettings.o \
 		build/appeventlistener.o \
+		build/ProcessObject.o \
 		build/moc_quickwidget.o \
 		build/moc_quickwidgetsettings.o \
-		build/moc_appeventlistener.o
+		build/moc_appeventlistener.o \
+		build/moc_ProcessObject.o
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
@@ -175,8 +179,8 @@
 	@$(QMAKE) -o Makefile quick-widgets.pro
 
 dist: 
-	@$(CHK_DIR_EXISTS) build/quick-widgets0.1.0 || $(MKDIR) build/quick-widgets0.1.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/quick-widgets0.1.0/ && $(COPY_FILE) --parents quickwidget.hpp quickwidgetsettings.hpp appeventlistener.hpp build/quick-widgets0.1.0/ && $(COPY_FILE) --parents main.cpp quickwidget.cpp quickwidgetsettings.cpp appeventlistener.cpp build/quick-widgets0.1.0/ && $(COPY_FILE) --parents quickwidgetsettings.ui build/quick-widgets0.1.0/ && (cd `dirname build/quick-widgets0.1.0` && $(TAR) quick-widgets0.1.0.tar quick-widgets0.1.0 && $(COMPRESS) quick-widgets0.1.0.tar) && $(MOVE) `dirname build/quick-widgets0.1.0`/quick-widgets0.1.0.tar.gz . && $(DEL_FILE) -r build/quick-widgets0.1.0
+	@$(CHK_DIR_EXISTS) build/quick-widgets0.2.0 || $(MKDIR) build/quick-widgets0.2.0 
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/quick-widgets0.2.0/ && $(COPY_FILE) --parents quickwidget.hpp quickwidgetsettings.hpp appeventlistener.hpp ProcessObject.h build/quick-widgets0.2.0/ && $(COPY_FILE) --parents main.cpp quickwidget.cpp quickwidgetsettings.cpp appeventlistener.cpp ProcessObject.cpp build/quick-widgets0.2.0/ && $(COPY_FILE) --parents quickwidgetsettings.ui build/quick-widgets0.2.0/ && (cd `dirname build/quick-widgets0.2.0` && $(TAR) quick-widgets0.2.0.tar quick-widgets0.2.0 && $(COMPRESS) quick-widgets0.2.0.tar) && $(MOVE) `dirname build/quick-widgets0.2.0`/quick-widgets0.2.0.tar.gz . && $(DEL_FILE) -r build/quick-widgets0.2.0
 
 
 clean:compiler_clean 
@@ -208,9 +212,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp
+compiler_moc_header_make_all: build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp build/moc_ProcessObject.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp
+	-$(DEL_FILE) build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp build/moc_ProcessObject.cpp
 build/moc_quickwidget.cpp: quickwidget.hpp
 	/usr/bin/moc $(DEFINES) $(INCPATH) quickwidget.hpp -o build/moc_quickwidget.cpp
 
@@ -219,6 +223,9 @@
 
 build/moc_appeventlistener.cpp: appeventlistener.hpp
 	/usr/bin/moc $(DEFINES) $(INCPATH) appeventlistener.hpp -o build/moc_appeventlistener.cpp
+
+build/moc_ProcessObject.cpp: ProcessObject.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) ProcessObject.h -o build/moc_ProcessObject.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
@@ -237,15 +244,3 @@
 compiler_yacc_decl_clean:
 compiler_yacc_impl_make_all:
 compiler_yacc_impl_clean:
-compiler_lex_make_all:
-compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean compiler_uic_clean 
-
-####### Compile
-
-build/main.o: main.cpp quickwidget.hpp \
-		quickwidgetsettings.hpp \
-		appeventlistener.hpp
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/main.o main.cpp
-
-build/quickwidget.o: quickwidget.cpp quickwidget.hpp
