=== debian/changelog ===
quick-widgets (0.2.0) unstable; urgency=low

  * Packaging changes
  * added "quickwidgets Process" qml plugin
  * added example for plugin
  * make widget auto-resize from qml content
  * do not draw widget background, let qml handle this

 -- Malte Marquarding <malte@marquarding.com>  Mon, 22 Nov 2010 14:46:21 +1100
