=== debian/changelog ===
quick-widgets (0.2.1) unstable; urgency=low

  * fixed examples installation failure

 -- Malte Marquarding <malte@marquarding.com>  Mon, 22 Nov 2010 16:06:35 +1100
