=== debian/control ===
--- 
+++ 
@@ -14,3 +14,41 @@
  home desktop widgets. It only needs the file. Thanks to Timur Kristf (Venemo)
  for doing all the had work in q-extras.
  This application is licensed under LGPL.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
+ fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
+ Lmlua3NjYXBlLm9yZ5vuPBoAAAWvSURBVGiB7ZrPUxNnGMc/u9mFBEhIIIEA
+ oUakDlQdZ5yJIv1xqaeOPfVWneJM/4UeOr10eu30L+gpjr301kuntT20DuJA
+ HR1tK1RrAigQxBB2ScwmWbLbQ0xiTCAkJKAz/Z6S99332e/n3ed9933fRDBN
+ k0vfXToCfAO8DTh4tZUEbgJfBC8GbwkTVyZ8wN9A58H6qlkZYFwEvuL1Mw/Q
+ AnwtAuONimhkjUaF2q3GRMDbiEih6yGmvp1C1/RGhNut2kRA2GuU0GSIuV/m
+ UCMq08HpfYUQ9xogNBli7te5wvf9htgTQOh60bxFtuDsdwL7C1E3QOh6Lm0g
+ Zz5wIcDZT8/iPuwGnkNcbj5EXQCVzLuH3LnPFwNFiJXmQ9QMsJ35vLaFSDUH
+ oiaA0NTO5vOqBDETnGkKxK4BQlMh5q5WN5/XyxDKitIUiF0BhKfCNZnPaz8g
+ qgKEp8LMXp0tGtql+byaDbEjwF7N59VMCGm7ivCNMPd+ukdWzyJKIiPnRsCE
+ aCha982GxodIbaZQVhRij2PMBGcYuzSGZN3WRlVVbBm+EWb251nS8TQmJn1v
+ 9aFGVNSIWveN8uro6SD+NJ4DWVaYDk7vCaKsVd48AAL0jfZh77FjkS17Mp6X
+ kTXoO9ZH5F4EyKXT9OVpxibqgxAmrkwoPN/QvGjeIltwDbqQbTL+0366D3c3
+ BCC+FufBbw8wDRNd01lfWAfAOeCsC6IwiF82H7gQoM3V1hDTlSSIAoGPXxjY
+ y7knsZXaqimOCJCMJcvM1zPb1Kqy2WlZKbzpdysRcr1hkS37aj6vPIRn2ANA
+ q721pvYSgM1p49xn5zBNk5a2lsa7rCKLbOHMJ2dIbaawOqw1tS2MGNkmN9xY
+ rarVPDRgS3nQ+h/goPU/wEHrtQeofx37XOpjlY3FDZLrSSSrREdPB73He8sW
+ f+FrYYysgXPQWTHO2uwam6ubdPZ34hnJvdTikThP5p4w9N4QolS5r/cEsHhj
+ kcidCJ2DnTj6Heiazuqfq6zNrTHywQhWZ3Fejz6IYhomW+nytY5pmizdXELX
+ dERRLACk1TTRf6L43/EjbpMsdQOoSyqROxH87/rxniieD/sCPmZ/mGV+cp7R
+ D0dL2jj6HSiLCrKr9KUZX4mTzWRp97TX7KPuMRC5G8HqtOI9Xnq4LdtkBgID
+ qI9VnkWfldQ533CiazqZRKakPPowStdQV10+6gZ49vQZnYOdFc+2nb5cniej
+ yZJy2SbT3tOOtqEVCw2IhWK4j7oxtmr/faEuAGPLQE/qtHZUXjlKVglRFElv
+ psvqXH4XmqKBmfuuPFYQBAGHz4FpmDV7qQtAEAUEQYBtOsw0TQyMik/HNejC
+ yBqkEzm49YfrdA135eLVoV0N4tW51cLWL6+EkmDh5gKJzUTZ9dlMFiWiIP8r
+ k0zk0kiJKDy6/Qiby4bVbkWLaRhZg9h8jJHzI3WZrwogtUroKZ1UPEUqniqt
+ FEFZUmh1tpb1dDKaRE/rZLNZ4mtxADKpDMmNJKZgYnPZ2FzeZGNhA6lVwu61
+ NwfAf9qPsqxgmuW56RpwMT85j2AK9Iz2FFIgk8iQWE7QM9zDwMmBwvXqgkq3
+ vxvHgANjy+DR5CMWbywW5vymALR1tdHWtf3G3u62M39tnuhfUdp729GTOokn
+ CboGuxg9P4pkK4ZfnlnGc8SD+2huu6qtacTCMdxvVt++3v/xfslT7j/Zj+uw
+ qzpANXlGPHR4O1CXVLSohqZpWFosHPvoGKJYOj/4Tvlo6y52Rv+pfuxee0mZ
+ 94SXlo7iltbmseEL+Mru++I1JedCe1VKSXH3+7t4T3g5NH6oESGrSgSeNiqY
+ 1WnFP+4ncjfCyq2VRoXdSSkJ+AMYblTE3hO9SDYJh29f/jNyWwS+BLRqV9ai
+ 7uFuZGvTTzkM4HMxeDH4EBgDfgdSOzZ5NaSTy5r3gxeDk/8BCkGAHh5D9sIA
+ AAAASUVORK5CYII=
+
