=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	cp "$(CURDIR)/data/quick-widgets" "$(CURDIR)/debian/quick-widgets/etc/event.d/"
 	cp "$(CURDIR)/data/quick-widgets.desktop" "$(CURDIR)/debian/quick-widgets/usr/share/applications/hildon/"
 	cp "$(CURDIR)/data/quick-widgets.png" "$(CURDIR)/debian/quick-widgets/usr/share/pixmaps/"
-	cp "$(CURDIR)/data/process.qml" "$(CURDIR)/debian/quick-widgets/home/user/MyDocs/quick-widgets/examples"
+	cp "$(CURDIR)/data/process.qml" "$(CURDIR)/debian/quick-widgets/opt/quick-widgets/examples"
 
 
 # Build architecture-independent files here.
