## quick-widgets 0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/quick-widgets
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Nov 22 16:03:24 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Mar 11 15:59:47 2011
 # Project:  quick-widgets.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile quick-widgets.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DAPP_VERSION=\"0.2.1\" -DAPP_BETA -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DAPP_VERSION=\"0.2.2\" -DAPP_BETA -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -Ibuild -Ibuild
@@ -179,8 +179,8 @@
 	@$(QMAKE) -o Makefile quick-widgets.pro
 
 dist: 
-	@$(CHK_DIR_EXISTS) build/quick-widgets0.2.1 || $(MKDIR) build/quick-widgets0.2.1 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/quick-widgets0.2.1/ && $(COPY_FILE) --parents quickwidget.hpp quickwidgetsettings.hpp appeventlistener.hpp ProcessObject.h build/quick-widgets0.2.1/ && $(COPY_FILE) --parents main.cpp quickwidget.cpp quickwidgetsettings.cpp appeventlistener.cpp ProcessObject.cpp build/quick-widgets0.2.1/ && $(COPY_FILE) --parents quickwidgetsettings.ui build/quick-widgets0.2.1/ && (cd `dirname build/quick-widgets0.2.1` && $(TAR) quick-widgets0.2.1.tar quick-widgets0.2.1 && $(COMPRESS) quick-widgets0.2.1.tar) && $(MOVE) `dirname build/quick-widgets0.2.1`/quick-widgets0.2.1.tar.gz . && $(DEL_FILE) -r build/quick-widgets0.2.1
+	@$(CHK_DIR_EXISTS) build/quick-widgets0.2.2 || $(MKDIR) build/quick-widgets0.2.2 
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/quick-widgets0.2.2/ && $(COPY_FILE) --parents quickwidget.hpp quickwidgetsettings.hpp appeventlistener.hpp ProcessObject.h build/quick-widgets0.2.2/ && $(COPY_FILE) --parents main.cpp quickwidget.cpp quickwidgetsettings.cpp appeventlistener.cpp ProcessObject.cpp build/quick-widgets0.2.2/ && $(COPY_FILE) --parents quickwidgetsettings.ui build/quick-widgets0.2.2/ && (cd `dirname build/quick-widgets0.2.2` && $(TAR) quick-widgets0.2.2.tar quick-widgets0.2.2 && $(COMPRESS) quick-widgets0.2.2.tar) && $(MOVE) `dirname build/quick-widgets0.2.2`/quick-widgets0.2.2.tar.gz . && $(DEL_FILE) -r build/quick-widgets0.2.2
 
 
 clean:compiler_clean
