=== debian/changelog ===
quick-widgets (0.2.2) unstable; urgency=low

  * added unicode support for standard output

 -- Malte Marquarding <malte@marquarding.com>  Fri, 11 Mar 2011 15:50:44 +1100
