## quick-widgets 0.2.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/quick-widgets
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Mar 11 15:59:47 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Mar 17 13:38:47 2011
 # Project:  quick-widgets.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile quick-widgets.pro
@@ -198,10 +198,10 @@
 debian-all: debian-src debian-bin
 
 debian-src:
-	dpkg-buildpackage -S -sa -r -us -uc -d
+	fakeroot dpkg-buildpackage -S -sa -r -us -uc -d
 
 debian-bin:
-	dpkg-buildpackage -b -r -uc -d
+	fakeroot dpkg-buildpackage -b -r -uc -d
 
 compiler_clean:
 	-$(DEL_FILE) $(TARGET)
@@ -243,4 +243,3 @@
 compiler_yacc_decl_make_all:
 compiler_yacc_decl_clean:
 compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
