=== debian/changelog ===
quick-widgets (0.2.3) unstable; urgency=low

  * added qt-mobility imports to search locations

 -- Malte Marquarding <malte@marquarding.com>  Thu, 17 Mar 2011 09:45:14 +1100
