=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: quick-widgets
 Architecture: any
-Depends: ${shlibs:Depends}, libhildon-extras1, q-extras (>=1.0.5)
+Depends: ${shlibs:Depends}, libhildon-extras1, q-extras (>=1.0.5), libqtm-12-declarative (>=1.2.0)
 XB-Maemo-Display-Name: Quick Widgets
 Description: This application simplifies running Qt Quick applications as
  home desktop widgets. It only needs the file. Thanks to Timur Kristf (Venemo)
