=== debian/changelog ===
quick-widgets (0.2.4) unstable; urgency=low

  * enabled adding widgets from the command-line

 -- Malte Marquarding <malte@marquarding.com>  Mon, 21 Mar 2011 23:29:30 +1100
