## quick-widgets 0.2.5

=== debian/changelog ===
quick-widgets (0.2.5) unstable; urgency=low

  * added symlink to /usr/bin

 -- Malte Marquarding <malte@marquarding.com>  Mon, 21 Mar 2011 23:57:33 +1100
